# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Namespace CKEDITOR.test

Contains functions used at our testing environment. Currently, our testing system is based on the YUI Test.
Defined in: core/test.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.test Contains functions used at our testing environment.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | CKEDITOR.test.assert The assertion namespace, containing all assertion functions.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CKEDITOR.test.addTestCase(testCase) Adds a test case to the test runner.
<static> | CKEDITOR.test.getInnerHtml(elementOrId) Gets the inner HTML of an element, for testing purposes.

Namespace Detail
CKEDITOR.test
Since: 3.0
Contains functions used at our testing environment. Currently, our testing system is based on the YUI Test.
Field Detail
<static> {Undefined} CKEDITOR.test.assert
Since: 3.0
The assertion namespace, containing all assertion functions. Currently, this is an alias for YAHOO.util.Assert.

    CKEDITOR.test.assert.areEqual( '10', 10 );        // "true"
    CKEDITOR.test.assert.areSame( '10', 10 );         // "false"
    CKEDITOR.test.assert.isUndefined( window.test );  // "true"

Method Detail
<static> {Undefined} CKEDITOR.test.addTestCase(testCase)
Since: 3.0
Adds a test case to the test runner.

    CKEDITOR.test.addTestCase((function()
    {
        // Local reference to the "assert" object.
        var assert = CKEDITOR.test.assert;

        return {
            test_example : function()
            {
                assert.areSame( '10', 10 );  // FAIL
            }
         };
    })());

Parameters:
{Object} testCase
  The test case object. See other tests for examples.

<static> {Undefined} CKEDITOR.test.getInnerHtml(elementOrId)
Since: 3.0
Gets the inner HTML of an element, for testing purposes.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} elementOrId

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.